unit DMTest1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  DiscMon, StdCtrls, FileCtrl;

type
  TForm1 = class(TForm)
    FileListBox1: TFileListBox;
    DiscMonitor1: TDiscMonitor;
    DirectoryListBox1: TDirectoryListBox;
    DriveComboBox1: TDriveComboBox;
    Memo1: TMemo;
    procedure DiscMonitor1Change(Sender: TObject);
    procedure DirectoryListBox1Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
  public
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

// when a change to the disc system is detected by the monitor then
// update the directory list box and the file list box
procedure TForm1.DiscMonitor1Change(Sender: TObject);
begin
  DirectoryListBox1.Update;
  FileListBox1.Update
end;

// if a change to the selected directory occurs, thenupdate the
// monitor location
procedure TForm1.DirectoryListBox1Change(Sender: TObject);
begin
  DiscMonitor1.Directory := FileListBox1.Directory
end;

// put the current directory into the disc monitor so that the
// directory and monitor are initially synchronised
procedure TForm1.FormCreate(Sender: TObject);
begin
  DiscMonitor1.Directory := FileListBox1.Directory
end;

end.

